# Interface JoinTableDataSourceJson

Join Table data source is the result of a join operation. Nested joins are supported. To use nested joins, set either leftTableSource or rightTableSource to be a joinTable. See https://developers.arcgis.com/web-map-specification/objects/joinTableDataSource/ https://developers.arcgis.com/web-scene-specification/objects/joinTableDataSource/.

interface JoinTableDataSourceJson {
joinType?: JoinJsonType;
leftTableKey?: string;
leftTableSource?: DynamicDataLayerJson | DynamicMapLayerJson;
rightTableKey?: string;
rightTableSource?: DynamicDataLayerJson | DynamicMapLayerJson;
type: "joinTable";
workspaceId?: string;
}

#### Hierarchy (view full)

- DataSourceJsonBase
  - JoinTableDataSourceJson

#####
Index

### Properties

joinType?
leftTableKey?
leftTableSource?
rightTableKey?
rightTableSource?
type
workspaceId?

##
Properties

### `Optional` joinType

joinType?: JoinJsonType

The type of join (left outer or left inner).

### `Optional` leftTableKey

leftTableKey?: string

Field name from the left table.

### `Optional` leftTableSource

leftTableSource?: DynamicDataLayerJson | DynamicMapLayerJson

The left source. If the leftTableSource is a table, the resulting joinTable is a table. If the leftTableSource is a layer, the resulting joinTable is a layer.

### `Optional` rightTableKey

rightTableKey?: string

Field name from the right table.

### `Optional` rightTableSource

rightTableSource?: DynamicDataLayerJson | DynamicMapLayerJson

The right table source.

### type

type

Type of the DataSource.

Overrides DataSourceJsonBase.type

### `Optional` workspaceId

workspaceId?: string

The unique string value used to identify the data-source's workspace.

Inherited from DataSourceJsonBase.workspaceId